package com.up.sell.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.up.sell.vo.Team;

public interface TeamMapper {
    /**
     *
     * @mbg.generated 2018-09-04
     */
    int deleteByPrimaryKey(Integer id);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int insert(Team record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int insertSelective(Team record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    Team selectByPrimaryKey(Integer id);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int updateByPrimaryKeySelective(Team record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int updateByPrimaryKey(Team record);
    /**
     * 检查会员是否已经是其他团队的成员
     * @param memberId
     * @return
     */
    int checkTeamMember(Integer memberId);
    
    /**
     * 判断会员是否创建过团队
     * @param memberId
     * @return
     */
    int isTeamLeader(Integer memberId);
    
    /**
     * 删除团队
     * @param memberId
     * @return
     */
    int deleteByMemberId(Integer memberId);
    
    /**
     * 
     */
    Team selectByMemberId(Integer memberId);
    
    Map<String,Object> selectOneLevel(Integer memberId);
    
    List<Map<String,Object>> selectTeamList(@Param("teamName")String teamName);
    
    Team selectTeamBYName(@Param("teamName")String teamName);
    
}