package com.up.sell.mapper;

import com.up.sell.vo.TeamMembers;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TeamMembersMapper {
    /**
     *
     * @mbg.generated 2018-09-04
     */
    int deleteByPrimaryKey(@Param("teamId") Integer teamId, @Param("memberId") Integer memberId);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int insert(TeamMembers record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int insertSelective(TeamMembers record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    TeamMembers selectByPrimaryKey(@Param("teamId") Integer teamId, @Param("memberId") Integer memberId);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int updateByPrimaryKeySelective(TeamMembers record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int updateByPrimaryKey(TeamMembers record);

    /**
     * 获取团队关系列表
     * @param memberId
     * @return
     */
	List<Map<String,Object>> teamRelationList(Map<String,Object> map);
	
	/**
	 * 查询当前用户等级
	 * @param memberId
	 * @return
	 */
	TeamMembers selectMemberLevel(Integer memberId);
	
	/**
	 * 获取团队人员详细信息(三级)
	 * @param memberId
	 * @return
	 */
    Map<String,Object> selectDetailInfo(Map<String,Object> map);
   
   /**
   *  获取团队二级人员信息
   * @param memberId
   * @return
   */
   Map<String,Object> selectTeamInfo(Integer memberId);
  
   /**
    * 是否可以解散团队
    * @param memberId
    * @return
    */
   int isHasRelations(Integer memberId);
   
   /**
    * 查询推荐人员列表
    * @param memberId
    * @return
    */
   List<Map<String,Object>> referrerRelationList(Map<String,Object> map);
   
   
   TeamMembers selectTeamMembers(Integer memberId);
   
   Map<String,Object> selectCount(Map<String,Object> map);
   
   int selectTeamCount (Map<String,Object> map);
}