/**
 * 
 */
package com.up.sell.run;

import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author Administrator
 *
 */
@SpringBootApplication(scanBasePackages = {"com.up.sell"})
@MapperScan(basePackages= {"com.up.sell.mapper"})
@EnableTransactionManagement
@EnableAsync
//@EnableRedisHttpSession
public class UpSpringApplication extends SpringBootServletInitializer {
	private static final Logger logger = LoggerFactory.getLogger(UpSpringApplication.class);
	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
		return application.sources(UpSpringApplication.class);
	}
	
	
	public static void main(String[] args) {
		logger.info("=========[卖铺宝api-启动开始]===============");
		SpringApplication.run(UpSpringApplication.class, args);
		logger.info("=========[卖铺宝api-启动结束]===============");
	}

}
