package com.up.sell.service;

import java.util.List;
import java.util.Map;

import com.up.sell.vo.ResultObject;

public interface MemberBankService {
	
	/**
	 * 绑卡
	 * @param map
	 * @return
	 */
	ResultObject bindBankCard(Map<String,Object> map);

	/**
	 * 获取绑卡列表
	 * @param parameters
	 * @return
	 */
	List<Map<String,Object>> bindBankCardList(Map<String, Object> parameters);

	/**
	 * 解绑
	 * @param parameters
	 * @return
	 */
	ResultObject unbindBankCard(Map<String, Object> parameters);

	/**
	 * 提现页面展示数据
	 * @param parameters
	 * @return
	 */
	ResultObject getEncashmentList(Map<String, Object> parameters);

	/**
	 * 创建提现申请
	 * @param parameters
	 * @return
	 */
	ResultObject encashment(Map<String, Object> parameters);

	/**
	 * 验证银行卡号
	 * @param parameters
	 * @return
	 */
	ResultObject validateCardNo(Map<String, Object> parameters);

	ResultObject selectBillDetail(Map<String, Object> parameters);

}
