package com.up.sell.service;

import java.util.List;
import java.util.Map;

import com.up.sell.vo.ResultObject;

public interface TeamService {
	
	/**
	 * 创建团队
	 * @param parameters
	 * @return
	 */
	ResultObject createTeam(Map<String, Object> parameters);

	/**
	 * 解散
	 * @param parameters
	 * @return
	 */
	ResultObject disband(Map<String, Object> parameters);

	/**
	 * 团队关系列表
	 * @param parameters
	 * @return
	 */
	ResultObject teamRelationList(Map<String, Object> parameters);

	/**
	 * 查询是否可以解绑
	 * @param parameters
	 * @return
	 */
	ResultObject isDisband(Map<String, Object> parameters);

	ResultObject selectTeamLevel(Map<String, Object> parameters);
	
	/**
	 * 查询团队列表
	 * @param teamName
	 * @return
	 */
	List<Map<String,Object>> selectTeamList(String teamName);
	/**
	 * 用户加入团队
	 * @param teamId
	 * @param memberId
	 * @return
	 */
	Map<String,Object> joinTeam(String teamName,Integer memberId);

}
