package com.up.sell.service.chuangnan.Impl;

import com.alibaba.fastjson.JSON;
import com.up.sell.service.chuangnan.ChuangNanService;
import com.up.sell.util.ChuangLanSmsUtil;
import com.up.sell.vo.chuangnan.SmsSendRequest;
import com.up.sell.vo.chuangnan.SmsSendResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;


@Service
@Transactional(propagation=Propagation.SUPPORTS)
public class ChuangNanServiceImpl implements ChuangNanService {
	
	private static final Logger logger = LoggerFactory.getLogger(ChuangNanServiceImpl.class);
	public static final String charset = "utf-8";
	public static String account = "N8445751";//用户名
	public static String password = "1EvVeCg6x";//密码


	@Override
	public SmsSendResponse sendCnMsg(String msgText, String phone){
		try {
			String smsSingleRequestServerUrl = "http://smssh1.253.com/msg/send/json";
			//String testbytes2 = new String(hexstr2bytes("0xF0 0x9F 0x8C 0xB9"),"utf-8");
			//String msg = "【253云通讯】您好，您的验证码是123456"+testbytes2;
			String report= "false";//是否需要状态报告（默认 false），如需状态报告则传 true，选填
			String uid = System.currentTimeMillis()+"";//该条短信在您业务系统内的 ID，如订单号或者短信发送记录流水号，选填

			SmsSendRequest smsSingleRequest = new SmsSendRequest(account, password, msgText+" 【优铺卖铺宝】", phone,"",report,uid);
			String requestJson = JSON.toJSONString(smsSingleRequest);
			//开始发送
			System.out.println("=================创蓝发短信接口，请求参数: " + requestJson);
			logger.info("=================创蓝发短信接口，请求参数:{}",requestJson);
			String response = ChuangLanSmsUtil.sendSmsByPost(smsSingleRequestServerUrl, requestJson);
			System.out.println("=================创蓝发短信接口，返回结果  :" + response);
			logger.info("=================创蓝发短信接口，返回结果:{}",response);
			SmsSendResponse smsSingleResponse = JSON.parseObject(response, SmsSendResponse.class);
			return smsSingleResponse;
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}
	
//
//	public static void demoMsg(String phone){
//		String aniText="您联系的房/客源联系人可能正忙，建议您5分钟后再试。";
//		String dnisText="刚刚您已拒绝或遗漏接听来⾃优铺平台的客户或经纪⼈的来电，可将未接来电保存为【优铺平台中继号码】防⽌再次漏接";
//		ChuangNanServiceImpl  cn=new ChuangNanServiceImpl();
//		cn.sendCnMsg(aniText,phone);
//		cn.sendCnMsg(dnisText,phone);
//	}
//
//	public static void main(String[] args)  {
//		String phone="15001004684";
//		demoMsg(phone);
//	}
//
	
	
	
	
	
	

	//eg. param: 0xF0 0x9F 0x8F 0x80
	public static byte[] hexstr2bytes(String hexstr){
		String[] hexstrs = hexstr.split(" ");
		byte[] b = new byte[hexstrs.length];
		for(int i=0;i<hexstrs.length;i++){
			b[i] = hexStringToByte(hexstrs[i].substring(2))[0];
		}
		System.out.println("b"+b);
		return b;
	}

	public static byte[] hexStringToByte(String hex) {
		int len = (hex.length() / 2);
		byte[] result = new byte[len];
		char[] achar = hex.toCharArray();
		for (int i = 0; i < len; i++) {
			int pos = i * 2;
			result[i] = (byte) ("0123456789ABCDEF".indexOf(achar[pos]) << 4 | "0123456789ABCDEF".indexOf(achar[pos + 1]));
		}
		System.out.println("result"+result);
		return result;
	}








}
