package com.up.sell.util;

import java.util.Map;
import java.util.Set;

import org.apache.commons.lang.StringUtils;

public class ObjectMyUtils {

	public static String cutDouHao(String buf) {
		if(StringUtils.isEmpty(buf)){
			return buf;
		}
		if(buf.contains(",")){
			String lastPre=buf.substring(buf.length()-1,buf.length());
			if(lastPre.equals(",")){
				buf=buf.substring(0, buf.length()-1);
				return buf;
			}
		}
		return buf;
	}
	
	//true-表示非空
	public  static Boolean isNotEmpty(String str){
		if(str !=null && !"".equals(str) && !"null".equals(str)){
			return true;
		}
		return false;
	}
	
	/**
 	 * map转str
 	 * 参数类型是Map<String,String> 
 	 * @param map
 	 * @return
 	 */
 	public static String jsonParamMapToStr(Map<String,String> map){
 		Set<String> keySet = map.keySet();
 		//将set集合转换为数组
 		String[] keyArray = keySet.toArray(new String[keySet.size()]);
 		//给数组排序(升序)
 		//Arrays.sort(keyArray);
 		//因为String拼接效率会很低的，所以转用StringBuilder
 		StringBuilder sb = new StringBuilder();
 		for (int i = 0; i < keyArray.length; i++) {
 			// 参数值为空，则不参与签名 这个方法trim()是去空格
 			if (map.get(keyArray[i]).trim().length() > 0) {
 				sb.append(keyArray[i]).append("=").append(map.get(keyArray[i]).trim());
 			}
 			if(i != keyArray.length-1){
 				sb.append("&");
 			}
 		}
 		return sb.toString();
 	}
	 
 	
 	public static void main(String[] args) {
		String buf="";
 		System.out.println(cutDouHao(buf));
	}
	
}
