package com.up.sell.vo;

import java.util.Date;

/**
 * 消息推送
 * 
 * @author geeks
 *
 */

public class Push{

	private static final long serialVersionUID = 1447576951281959646L;

	private Integer id;

	/** 内容 **/
	private String content;

	/** 创建用户 **/
	private String author;

	/** 发送是否成功 0成功 1失败 **/
	private Integer status;

	/** 标题 **/
	private String title;

	/** 打开位置 0打开app,1打开h5页面,2打开app内页面 **/
	private Integer openType;

	/** h5地址 **/
	private String h5Url;

	/** app页面类型 0销售 1招商 3品牌 **/
	private Integer appType;

	/** 项目id **/
	private String projetId;

	/** 推送位置 0全推;1站内推送;2友盟推送 **/
	private Integer pushType;
	
	/** 是否已经发送 0已经发送;1未发送 **/
	private Integer send;
	
	/** 发送时间 **/
	private Date sendTime;
	
	/** 推送城市id 多个用,隔开 **/
	private String pushAreas;
	
	private Date publicTime;
	
	private String searchId;
	
	private Date createTime;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getOpenType() {
		return openType;
	}

	public void setOpenType(Integer openType) {
		this.openType = openType;
	}

	public String getH5Url() {
		return h5Url;
	}

	public void setH5Url(String h5Url) {
		this.h5Url = h5Url;
	}

	public Integer getAppType() {
		return appType;
	}

	public void setAppType(Integer appType) {
		this.appType = appType;
	}

	public String getProjetId() {
		return projetId;
	}

	public void setProjetId(String projetId) {
		this.projetId = projetId;
	}

	public Integer getPushType() {
		return pushType;
	}

	public void setPushType(Integer pushType) {
		this.pushType = pushType;
	}

	public Integer getSend() {
		return send;
	}

	public void setSend(Integer send) {
		this.send = send;
	}

	public Date getSendTime() {
		return sendTime;
	}

	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}

	public String getPushAreas() {
		return pushAreas;
	}

	public void setPushAreas(String pushAreas) {
		this.pushAreas = pushAreas;
	}

	public Date getPublicTime() {
		return publicTime;
	}

	public void setPublicTime(Date publicTime) {
		this.publicTime = publicTime;
	}

	public String getSearchId() {
		return searchId;
	}

	public void setSearchId(String searchId) {
		this.searchId = searchId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	
	
	
}
