package com.up.sell.mapper;

import java.util.List;
import java.util.Map;

import com.up.sell.vo.AppData;

public interface AppDataMapper {
    /**
     *
     * @mbg.generated 2018-09-12
     */
    int deleteByPrimaryKey(Long id);
    
    int deleteByIds(Long[] ids);

    /**
     *
     * @mbg.generated 2018-09-12
     */
    int insert(AppData record);

    /**
     *
     * @mbg.generated 2018-09-12
     */
    int insertSelective(AppData record);

    /**
     *
     * @mbg.generated 2018-09-12
     */
    AppData selectByPrimaryKey(Long id);
    
    
    Long[] selectCityIdAll();
    
    /**
     * 
     * @param appData
     * @return
     */
    List<AppData> selectListByAppData(AppData appData);

    /**
     *
     * @mbg.generated 2018-09-12
     */
    int updateByPrimaryKeySelective(AppData record);

    /**
     *
     * @mbg.generated 2018-09-12
     */
    int updateByPrimaryKey(AppData record);
    
    /**
     * 根据城市id获取信息
     * @param cityId
     * @return
     */
    Map<String,Object> selectDataByCityId(Integer cityId);
}