package com.up.sell.mapper;

import java.util.List;
import java.util.Map;

import com.up.sell.vo.BrandDatabase;

public interface BrandDatabaseMapper {
    /**
     *
     * @mbg.generated 2018-09-04
     */
    int deleteByPrimaryKey(Integer id);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int insert(BrandDatabase record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int insertSelective(BrandDatabase record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    BrandDatabase selectByPrimaryKey(Integer id);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int updateByPrimaryKeySelective(BrandDatabase record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int updateByPrimaryKey(BrandDatabase record);
    
    List<Map> selectBrandList(Map parameters) ;
    
    List<Map> selectBrandTopList(Map parameters) ;
    
    Map selectBrandDetail(Integer id);
    
    int updateViewCount(Integer id);

	int valideBrandName(Map<String, Object> parameters);
	
	/**
	 * 获取PC官网首页品牌logo 列表
	 * @param parameters
	 * @return
	 */
	List<Map> getBrandLogoListPC(Map<String, Object> parameters) ;

	/**
	 * 获取热门品牌推荐列表
	 * @param parameters
	 * @return
	 */
	List<Map> getHotBrandList(Map<String, Object> parameters);
	
	/**
	 * 品牌详情页热门品牌推荐
	 * @param parameters
	 * @return
	 */
	List<Map<String,Object>> getBrandRecommended(Map<String, Object> parameters);
}