package com.up.sell.mapper;

import java.util.List;
import java.util.Map;

import com.up.sell.vo.Member;
import org.springframework.data.repository.query.Param;

public interface MemberMapper {
    /**
     *
     * @mbg.generated 2018-09-04
     */
    int deleteByPrimaryKey(Integer id);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int insert(Member record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int insertSelective(Member record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    Member selectByPrimaryKey(Integer id);
    
    Member findUserByOpenid(String openid);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int updateByPrimaryKeySelective(Member record);

    /**
     *
     * @mbg.generated 2018-09-04
     */
    int updateByPrimaryKey(Member record);
   
    /**
     * 
     * @param mobile
     * @return
     */
    Member selectByMobile(String mobile);
    
    /**
    *
    * @mbg.generated 2018-09-04
    */
    Member save(Member record);
    
    int updateViewCountByPrimaryKey(Integer id);
    
    /**
     * 获取推荐信息
     * @param map
     * @return
     */
    Map<String,Object> selectReferreInfo(Map<String,Object> map);

    /**
     * 获取会员信息
     * @param map
     * @return
     */
    Map<String,Object> selectMemberInfo(Map<String,Object> map);
    
    /**
     * 获取会员数量
     */
    int selectMemberCount(Map<String,Object> map);

    Member selectStatus(@Param("mobile") String mobile);
    
    Member selectStatusById(@Param("id") String mobile);
    
    
    List<String> selectMemberWhiteList();
}
