package com.up.sell.mapper;

import java.util.List;
import java.util.Map;

import com.up.sell.vo.ProjectOrder;

public interface ProjectOrderMapper {
    /**
     *
     * @mbg.generated 2018-09-05
     */
    int deleteByPrimaryKey(String orderNo);

    /**
     *
     * @mbg.generated 2018-09-05
     */
    int insert(ProjectOrder record);

    /**
     *
     * @mbg.generated 2018-09-05
     */
    int insertSelective(ProjectOrder record);

    /**
     *
     * @mbg.generated 2018-09-05
     */
    ProjectOrder selectByPrimaryKey(String orderNo);

    /**
     *
     * @mbg.generated 2018-09-05
     */
    int updateByPrimaryKeySelective(ProjectOrder record);

    /**
     *
     * @mbg.generated 2018-09-05
     */
    int updateByPrimaryKey(ProjectOrder record);
    /**
     * 查询某个客户的交易列表
     * @param customerId
     * @return
     */
    List<Map> selectByCustomerId(Integer customerId);
    /**
     * 查询项目经理的每个交易状态的交易数量
     * @param projectManagerId
     * @return
     */
    Map selectProjectManagerOrderStatus(Map parameters);
    /**
     * 查询某个项目的交易列表
     * @param parameters
     * @return
     */
    List<Map> selectOrderListByProjectId(Map parameters);
    
    Map selectOrderDetail(String orderNo);
    /**
     * 审批项目交易
     * @param parameters
     * @return
     */
    int updateApproveOrder(Map parameters);
    /**
     * 更新到访时间（二次到访）
     * @param orderNo
     * @return
     */
    int updateVisitTime(String orderNo);
    /**
     * 更新交易各个状态的累计数量
     * @param parameters
     * @return
     */
    int updateProjectOrderTotal(Map parameters);
    /**
     * 查询指定客户是否报备过指定项目
     * @param map
     * @return
     */
    int selectCountByPIdAndCId(ProjectOrder projectOrder);
}