package com.up.sell.service;

import java.util.List;
import java.util.Map;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.sell.vo.Dictionary;


@Transactional(propagation=Propagation.SUPPORTS)
public interface DictionaryService {

	public List<Map<String,Object>> selectMapByParentKey(String parentKey);
	
    /**
    * 查询银行列表
    * @param parentKey
    * @return
    */
   List<Map<String,Object>> selectBankList(String parentKey);
   
   List<Dictionary> findByParentKey(String parentKey);
}
