package com.up.sell.service;

import java.util.List;
import java.util.Map;

public interface InformationChannelService {

	/**
	 * 查询资讯列表
	 * @param parameters
	 * @return
	 */
	List<Map> selectInformationList(Map parameters);
	/**
	 * 查询资讯详情
	 * @param id
	 * @return
	 */
	Map selectInformationDetail(Integer id);
	
	/**
	 * 获取咨询列表页火热项目
	 * @param parameters
	 * @return
	 */
	List<Map<String, Object>> getHotProjectList(Map<String, Object> parameters);
	
	/**
	 * 获取咨询列表页优质品牌推荐
	 * @param parameters
	 * @return
	 */
	 List<Map> getHotBrandList(Map<String, Object> parameters);
	 
	 /**
	  * 获取首页4条资讯信息
	  * @param parameters
	  * @return
	  */
	 List<Map<String, Object>> selectInforList(Map<String, Object> parameters);

}