package com.up.sell.service;

import java.util.Map;

import com.up.sell.vo.ResultObject;

public interface ShowInfoService {

	/**
	 * 获取首页信息
	 * @param parameters
	 * @return
	 */
	Map<String,Object> getShowInfo(Map<String,Object> parameters);
	
	/**
     * 获取本月新品/成交前10
     * @param map
     * @return
     */
    Map<String,Object> selectH5Page(Map<String,Object> map);

    /**
     * 获取可切换的城市
     * @param parameters
     * @return
     */
    ResultObject changeCity(Map<String, Object> parameters);

    /**
     * 获取app版本升级信息
     * @param parameters
     * @return
     */
	ResultObject getUpgradeVersionInfo(Map<String, Object> parameters);

	/**
	 * 首页品牌列表
	 * @param parameters
	 * @return
	 */
	ResultObject getBrandLogoList(Map<String, Object> parameters);
}
